## eancheck 1.0

=== Makefile ===
PREFIX=/usr

all: eancheck

eancheck: eancheck.o
	g++ -o $@ $<

eancheck.o: eancheck.cpp
	g++ -Wno-deprecated -c -o $@ $<

eancheck.1.gz:
	gzip -c -9 eancheck.1 > eancheck.1.gz

install: eancheck eancheck.1.gz
	install -c -D -o root -g root -m 755 eancheck $(PREFIX)/bin/eancheck
	install -c -D -o root -g root -m 644 eancheck.h $(PREFIX)/include/eancheck.h
	install -c -D -o root -g root -m 644 README $(PREFIX)/share/doc/eancheck/README
	install -c -D -o root -g root -m 644 eancheck.1.gz $(PREFIX)/share/man/man1/eancheck.1.gz

uninstall:
	rm $(PREFIX)/bin/eancheck
	rm $(PREFIX)/include/eancheck.h
	rm -rf $(PREFIX)/share/doc/eancheck
	rm $(PREFIX)/share/man/man1/eancheck.1.gz

clean:
	-rm eancheck
	-rm eancheck.o
	-rm eancheck.1.gz

=== debian/changelog ===
eancheck (1.0-3) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * QA upload.
  * Migrate repository from alioth to salsa.

  [ David da Silva Polverari ]
  * Ran wrap-and-sort.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/clean: created to clean build artifacts instead of using upstream
    Makefile clean target.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.7.0.
  * debian/copyright:
      - Added the Source, Upstream-Name and Upstream-Contact fields to the
        header stanza, based on original debian/copyright information.
      - Updated packaging copyright information.
  * debian/docs: created to install upstream document.
  * debian/examples: created to install header file as example.
  * debian/gbp.conf: created to make git repository compliant with DEP-14 layout
    recommendations and enforce the use of pristine-tar.
  * debian/install: created to install main executable.
  * debian/manpages: created to install upstream manpage.
  * debian/patches/:
      - Renamed all patches, numbering them.
      - 030_cflags.patch: modified to include CPPFLAGS for hardening.
      - 040_reproducible.patch: not needed anymore. Removed.
  * debian/rules:
      - Added empty overrides for dh_auto_install and dh_auto_clean targets.
      - Exported DEB_BUILD_MAINT_OPTIONS to enable all hardening flags.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to perform CI tests for the installed package.
  * debian/upstream/metadata: created.
  * debian/watch: created using a dummy URL to explain the current status of the
    original upstream homepage.

 -- David da Silva Polverari <polverari@debian.org>  Sat, 20 Apr 2024 00:35:22 +0000

eancheck (1.0-2) unstable; urgency=medium

  * QA upload.
  * Add Vcs fields.
  * Orphan the package (see #859485).
  * Use source format 3.0 (quilt).
    + Turn previously directly applied patch into a quilt patch.
  * Bump debhelper compat level to 10.
  * Rewrite debian/rules using the dh sequencer.  Closes: #830462
  * Add patches for:
    + Support dh_auto_install by recognizing $(DESTDIR).
    + Honor CFLAGS from the env.
    + Reproducible gzip by adding -n.
  * Bump Standards-Version to 3.9.8.
  * Rewrite d/copyright using DEP-5.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 04 Apr 2017 08:00:34 +0200

eancheck (1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #461702).

 -- Luk Claes <luk@debian.org>  Sun, 09 Mar 2008 18:36:38 +0000

eancheck (1.0-1) unstable; urgency=low

  * Initial release.

 -- Joe Baldwin <joe@joe-baldwin.net>  Sun,  7 Jan 2007 19:39:07 +0000

=== debian/control ===
Source: eancheck
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: http://joe-baldwin.net/eancheck
Rules-Requires-Root: no
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13)
Vcs-Git: https://salsa.debian.org/debian/eancheck.git
Vcs-Browser: https://salsa.debian.org/debian/eancheck

Package: eancheck
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Check digit validator for EAN/PLU/UPC barcode numbers
 Eancheck is a simple program for checking EAN, PLU and UPC check
 digits. It also includes a header file for incorporating such
 functions into your own programs.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all

%:
	dh $@

# Overriding dh_auto_install avoids using upstream Makefile install target. We
# use debian/{docs,examples,install,manpages} instead to avoid requiring root
# privileges during build.
override_dh_auto_install:

# This override was needed due to the upstream Makefile clean target having
# different expectations about the manpage.
override_dh_auto_clean:

=== debian/tests/control ===
Test-Command: eancheck | grep -i 'usage: eancheck'
Restrictions: superficial

Test-Command: eancheck 1234567890128 | grep -i correct

Test-Command: eancheck 1234567890129 | grep -i fail
Restrictions: allow-stderr

=== debian/watch ===
version=4
# Upstream homepage is not online anymore.
opts=dversionmangle=s/.*/0.No-Site/ \
https://people.debian.org/~eriberto/ FakeWatchNoUpstreamSiteForThisPackage-(\d\S+)\.gz
